Index: trunk/BNC/src/rinex/rnxobsfile.cpp
===================================================================
--- trunk/BNC/src/rinex/rnxobsfile.cpp	(revision 8168)
+++ trunk/BNC/src/rinex/rnxobsfile.cpp	(revision 8204)
@@ -92,5 +92,5 @@
     }
     else if (key == "RINEX VERSION / TYPE") {
-      QTextStream in(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream in(value.toLatin1(), QIODevice::ReadOnly);
       in >> _version;
     }
@@ -118,5 +118,5 @@
     }
     else if (key == "INTERVAL") {
-      QTextStream in(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream in(value.toLatin1(), QIODevice::ReadOnly);
       in >> _interval;
     }
@@ -125,5 +125,5 @@
     }
     else if (key == "WAVELENGTH FACT L1/2") {
-      QTextStream in(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream in(value.toLatin1(), QIODevice::ReadOnly);
       int wlFactL1 = 0;
       int wlFactL2 = 0;
@@ -149,17 +149,17 @@
     }
     else if (key == "APPROX POSITION XYZ") {
-      QTextStream in(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream in(value.toLatin1(), QIODevice::ReadOnly);
       in >> _xyz[0] >> _xyz[1] >> _xyz[2];
     }
     else if (key == "ANTENNA: DELTA H/E/N") {
-      QTextStream in(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream in(value.toLatin1(), QIODevice::ReadOnly);
       in >> _antNEU[2] >> _antNEU[1] >> _antNEU[0];
     }
     else if (key == "ANTENNA: DELTA X/Y/Z") {
-      QTextStream in(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream in(value.toLatin1(), QIODevice::ReadOnly);
       in >> _antXYZ[0] >> _antXYZ[1] >> _antXYZ[2];
     }
     else if (key == "ANTENNA: B.SIGHT XYZ") {
-      QTextStream in(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream in(value.toLatin1(), QIODevice::ReadOnly);
       in >> _antBSG[0] >> _antBSG[1] >> _antBSG[2];
     }
@@ -168,8 +168,8 @@
         _version = defaultRnxObsVersion2;
       }
-      QTextStream* in = new QTextStream(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream* in = new QTextStream(value.toLatin1(), QIODevice::ReadOnly);
       int nTypes;
       *in >> nTypes;
-      char sys0 = _usedSystems[0].toAscii();
+      char sys0 = _usedSystems[0].toLatin1();
       _obsTypes[sys0].clear();
       for (int ii = 0; ii < nTypes; ii++) {
@@ -177,5 +177,5 @@
           line = stream->readLine(); ++numLines;
           delete in;
-          in = new QTextStream(line.left(60).toAscii(), QIODevice::ReadOnly);
+          in = new QTextStream(line.left(60).toLatin1(), QIODevice::ReadOnly);
         }
         QString hlp;
@@ -184,5 +184,5 @@
       }
       for (int ii = 1; ii < _usedSystems.length(); ii++) {
-        char sysI = _usedSystems[ii].toAscii();
+        char sysI = _usedSystems[ii].toLatin1();
         _obsTypes[sysI] = _obsTypes[sys0];
       }
@@ -192,5 +192,5 @@
         _version = defaultRnxObsVersion3;
       }
-      QTextStream* in = new QTextStream(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream* in = new QTextStream(value.toLatin1(), QIODevice::ReadOnly);
       char sys;
       int nTypes;
@@ -201,5 +201,5 @@
           line = stream->readLine(); ++numLines;
           delete in;
-          in = new QTextStream(line.toAscii(), QIODevice::ReadOnly);
+          in = new QTextStream(line.toLatin1(), QIODevice::ReadOnly);
         }
         QString hlp;
@@ -213,5 +213,5 @@
     }
     else if (key == "TIME OF FIRST OBS") {
-      QTextStream in(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream in(value.toLatin1(), QIODevice::ReadOnly);
       int year, month, day, hour, min;
       double sec;
@@ -220,5 +220,5 @@
     }
     else if (key == "SYS / PHASE SHIFT"){
-      QTextStream* in = new QTextStream(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream* in = new QTextStream(value.toLatin1(), QIODevice::ReadOnly);
       char        sys;
       QString     obstype;
@@ -233,5 +233,5 @@
             line = stream->readLine(); ++numLines;
             delete in;
-            in = new QTextStream(line.left(60).toAscii(), QIODevice::ReadOnly);
+            in = new QTextStream(line.left(60).toLatin1(), QIODevice::ReadOnly);
           }
           *in >> sat;
@@ -243,5 +243,5 @@
     }
     else if (key == "GLONASS COD/PHS/BIS"){
-      QTextStream in(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream in(value.toLatin1(), QIODevice::ReadOnly);
       for (int ii = 0; ii < 4; ii++) {
         QString type;
@@ -253,5 +253,5 @@
     }
     else if (key == "GLONASS SLOT / FRQ #") {
-      QTextStream* in = new QTextStream(value.toAscii(), QIODevice::ReadOnly);
+      QTextStream* in = new QTextStream(value.toLatin1(), QIODevice::ReadOnly);
       int nSlots = 0;
       *in >> nSlots;
@@ -260,5 +260,5 @@
           line = stream->readLine(); ++numLines;
           delete in;
-          in = new QTextStream(line.left(60).toAscii(), QIODevice::ReadOnly);
+          in = new QTextStream(line.left(60).toLatin1(), QIODevice::ReadOnly);
         }
         QString sat;
@@ -457,5 +457,5 @@
             QString type = header.obsType(sys, iType, _version);
             for (int jSys = 0; jSys < _usedSystems.length(); jSys++) {
-              char thisSys  = _usedSystems[jSys].toAscii();
+              char thisSys  = _usedSystems[jSys].toLatin1();
               if (!_obsTypes[thisSys].contains(type)) {
                 _obsTypes[thisSys].push_back(type);
@@ -473,5 +473,5 @@
         if (hlp.size() == 2 && hlp[0].length() == 1) {
           if (_version >= 3.0) {
-            char    sys  = hlp[0][0].toAscii();
+            char    sys  = hlp[0][0].toLatin1();
             QString type = t_rnxObsFile::type2to3(sys, hlp[1]);
             if (!_obsTypes[sys].contains(type)) {
@@ -481,5 +481,5 @@
           else {
             for (int iSys = 0; iSys < _usedSystems.length(); iSys++) {
-              char    sys  = _usedSystems[iSys].toAscii();
+              char    sys  = _usedSystems[iSys].toLatin1();
               QString type = t_rnxObsFile::type3to2(sys, hlp[1]);
               if (!_obsTypes[sys].contains(type)) {
@@ -492,5 +492,5 @@
       else {
         for (int iSys = 0; iSys < _usedSystems.length(); iSys++) {
-          char    sys  = _usedSystems[iSys].toAscii();
+          char    sys  = _usedSystems[iSys].toLatin1();
           QString type = _version >= 3.0 ? t_rnxObsFile::type2to3(sys, useObsTypes->at(iType)) :
                                            t_rnxObsFile::type3to2(sys, useObsTypes->at(iType));
@@ -936,5 +936,5 @@
   QStringList strList;
   if (_version < 3.0) {
-    char sys0 = _usedSystems[0].toAscii();
+    char sys0 = _usedSystems[0].toLatin1();
     QString hlp;
     QTextStream(&hlp) << QString("%1").arg(_obsTypes[sys0].size(), 6);
@@ -1131,5 +1131,5 @@
     }
 
-    QTextStream in(line.mid(1).toAscii(), QIODevice::ReadOnly);
+    QTextStream in(line.mid(1).toLatin1(), QIODevice::ReadOnly);
 
     // Epoch Time
@@ -1151,5 +1151,5 @@
     for (int iSat = 0; iSat < numSat; iSat++) {
       line = _stream->readLine();
-      t_prn prn; prn.set(line.left(3).toAscii().data());
+      t_prn prn; prn.set(line.left(3).toLatin1().data());
       _currEpo.rnxSat[iSat].prn = prn;
       char sys = prn.system();
@@ -1202,5 +1202,5 @@
     }
 
-    QTextStream in(line.toAscii(), QIODevice::ReadOnly);
+    QTextStream in(line.toLatin1(), QIODevice::ReadOnly);
 
     // Epoch Time
@@ -1233,5 +1233,5 @@
       }
 
-      char sys = line.toAscii()[pos];
+      char sys = line.toLatin1()[pos];
       if (sys == ' ') {
         sys = 'G';
@@ -1512,5 +1512,5 @@
 void t_rnxObsFile::setObsFromRnx(const t_rnxObsFile* rnxObsFile, const t_rnxObsFile::t_rnxEpo* epo,
                                  const t_rnxObsFile::t_rnxSat& rnxSat, t_satObs& obs) {
-  obs._staID = rnxObsFile->markerName().toAscii().constData();
+  obs._staID = rnxObsFile->markerName().toLatin1().constData();
   obs._prn   = rnxSat.prn;
   obs._time  = epo->tt;
@@ -1539,5 +1539,5 @@
       const t_rnxObs& rnxObs = rnxSat.obs[type];
       if (rnxObs.value != 0.0) {
-        string type2ch(typeV3.mid(1).toAscii().data());
+        string type2ch(typeV3.mid(1).toLatin1().data());
 
         t_frqObs* frqObs = 0;
@@ -1554,5 +1554,5 @@
         }
 
-        switch( typeV3.toAscii().data()[0] ) {
+        switch( typeV3.toLatin1().data()[0] ) {
         case 'C':
           frqObs->_codeValid = true;