Index: trunk/BNC/bnc.pro
===================================================================
--- trunk/BNC/bnc.pro	(revision 8246)
+++ trunk/BNC/bnc.pro	(revision 8252)
@@ -1,2 +1,4 @@
+greaterThan(QT_MAJOR_VERSION, 4): QT += printer widgets
+QT += svg
 
 TEMPLATE = subdirs
Index: trunk/BNC/src/PPP_SSR_I/pppFilter.h
===================================================================
--- trunk/BNC/src/PPP_SSR_I/pppFilter.h	(revision 8246)
+++ trunk/BNC/src/PPP_SSR_I/pppFilter.h	(revision 8252)
@@ -26,6 +26,8 @@
 #define PPPFILTER_H
 
-#include <QtCore>
-#include <QtNetwork>
+#include <QByteArray>
+#include <QMap>
+#include <QStringList>
+#include <QVector>
 #include <newmat.h>
 
Index: trunk/BNC/src/RTCM3/RTCM3coDecoder.h
===================================================================
--- trunk/BNC/src/RTCM3/RTCM3coDecoder.h	(revision 8246)
+++ trunk/BNC/src/RTCM3/RTCM3coDecoder.h	(revision 8252)
@@ -27,6 +27,9 @@
 
 #include <fstream>
-#include <QtCore>
-#include <QtNetwork>
+
+#include <QByteArray>
+#include <QList>
+#include <QMap>
+
 #include "GPSDecoder.h"
 
Index: trunk/BNC/src/app.cpp
===================================================================
--- trunk/BNC/src/app.cpp	(revision 8246)
+++ trunk/BNC/src/app.cpp	(revision 8252)
@@ -14,4 +14,6 @@
  *
  * -----------------------------------------------------------------------*/
+
+#include <QFileOpenEvent>
 
 #include "app.h" 
Index: trunk/BNC/src/app.h
===================================================================
--- trunk/BNC/src/app.h	(revision 8246)
+++ trunk/BNC/src/app.h	(revision 8252)
@@ -2,5 +2,6 @@
 #define GnssCenter_APP_H
 
-#include <QtWidgets>
+#include <QApplication>
+#include <QEvent>
 
 class t_app : public QApplication {
Index: trunk/BNC/src/bncbytescounter.h
===================================================================
--- trunk/BNC/src/bncbytescounter.h	(revision 8246)
+++ trunk/BNC/src/bncbytescounter.h	(revision 8252)
@@ -26,5 +26,7 @@
 #define BNCBYTESCOUNTER_H
 
-#include <QtWidgets>
+#include <QByteArray>
+#include <QLabel>
+#include <QMutex>
 
 class bncBytesCounter : public QLabel {
Index: trunk/BNC/src/bnccaster.h
===================================================================
--- trunk/BNC/src/bnccaster.h	(revision 8246)
+++ trunk/BNC/src/bnccaster.h	(revision 8252)
@@ -27,6 +27,8 @@
 
 #include <QFile>
-#include <QtNetwork>
 #include <QMultiMap>
+#include <QTcpServer>
+#include <QTcpSocket>
+
 #include "satObs.h"
 
Index: trunk/BNC/src/bncclockrinex.h
===================================================================
--- trunk/BNC/src/bncclockrinex.h	(revision 8246)
+++ trunk/BNC/src/bncclockrinex.h	(revision 8252)
@@ -4,5 +4,6 @@
 #include <fstream>
 #include <newmat.h>
-#include <QtCore>
+
+#include <QDateTime>
 
 #include "bncoutf.h"
Index: trunk/BNC/src/bnccore.h
===================================================================
--- trunk/BNC/src/bnccore.h	(revision 8246)
+++ trunk/BNC/src/bnccore.h	(revision 8252)
@@ -25,6 +25,4 @@
 #ifndef BNCAPP_H
 #define BNCAPP_H
-
-#include <QtWidgets>
 
 #include "bnctime.h"
Index: trunk/BNC/src/bncfigure.cpp
===================================================================
--- trunk/BNC/src/bncfigure.cpp	(revision 8246)
+++ trunk/BNC/src/bncfigure.cpp	(revision 8252)
@@ -40,4 +40,10 @@
 
 #include <iostream>
+
+#include <QMapIterator>
+#include <QPainter>
+#include <QTimer>
+#include <QUrl>
+#include <QVariant>
 
 #include "bncfigure.h"
Index: trunk/BNC/src/bncfigure.h
===================================================================
--- trunk/BNC/src/bncfigure.h	(revision 8246)
+++ trunk/BNC/src/bncfigure.h	(revision 8252)
@@ -26,5 +26,8 @@
 #define BNCFIGURE_H
 
-#include <QtWidgets>
+#include <QByteArray>
+#include <QMap>
+#include <QMutex>
+#include <QWidget>
 
 class bncFigure : public QWidget {
Index: trunk/BNC/src/bncfigurelate.cpp
===================================================================
--- trunk/BNC/src/bncfigurelate.cpp	(revision 8246)
+++ trunk/BNC/src/bncfigurelate.cpp	(revision 8252)
@@ -40,4 +40,11 @@
 
 #include <iostream>
+#include <math.h>
+
+#include <QMapIterator>
+#include <QPainter>
+#include <QTimer>
+#include <QUrl>
+#include <QVariant>
 
 #include "bncfigurelate.h" 
Index: trunk/BNC/src/bncfigurelate.h
===================================================================
--- trunk/BNC/src/bncfigurelate.h	(revision 8246)
+++ trunk/BNC/src/bncfigurelate.h	(revision 8252)
@@ -26,5 +26,8 @@
 #define BNCFIGURELATE_H
 
-#include <QtWidgets>
+#include <QByteArray>
+#include <QMap>
+#include <QMutex>
+#include <QWidget>
 
 class bncFigureLate : public QWidget {
Index: trunk/BNC/src/bncfigureppp.cpp
===================================================================
--- trunk/BNC/src/bncfigureppp.cpp	(revision 8246)
+++ trunk/BNC/src/bncfigureppp.cpp	(revision 8252)
@@ -41,5 +41,9 @@
 #include <iostream>
 
-#include "bncfigureppp.h" 
+#include <QApplication>
+#include <QPainter>
+#include <QVariant>
+
+#include "bncfigureppp.h"
 #include "bncsettings.h"
 #include "bncutils.h"
Index: trunk/BNC/src/bncfigureppp.h
===================================================================
--- trunk/BNC/src/bncfigureppp.h	(revision 8246)
+++ trunk/BNC/src/bncfigureppp.h	(revision 8252)
@@ -26,5 +26,8 @@
 #define BNCFIGUREPPP_H
 
-#include <QtWidgets>
+#include <QByteArray>
+#include <QMutex>
+#include <QPoint>
+#include <QWidget>
 #include "bnctime.h"
 
Index: trunk/BNC/src/bncgetthread.cpp
===================================================================
--- trunk/BNC/src/bncgetthread.cpp	(revision 8246)
+++ trunk/BNC/src/bncgetthread.cpp	(revision 8252)
@@ -48,5 +48,4 @@
 #include <QTextStream>
 #include <QMutex>
-#include <QtNetwork>
 #include <QPushButton>
 #include <QTableWidget>
Index: trunk/BNC/src/bncgetthread.h
===================================================================
--- trunk/BNC/src/bncgetthread.h	(revision 8246)
+++ trunk/BNC/src/bncgetthread.h	(revision 8252)
@@ -27,7 +27,8 @@
 
 #include <QThread>
-#include <QtNetwork>
 #include <QDateTime>
 #include <QFile>
+#include <QTcpServer>
+#include <QUrl>
 
 #include "bncconst.h"
Index: trunk/BNC/src/bnchlpdlg.h
===================================================================
--- trunk/BNC/src/bnchlpdlg.h	(revision 8246)
+++ trunk/BNC/src/bnchlpdlg.h	(revision 8252)
@@ -27,5 +27,4 @@
 
 #include <QtCore>
-#include <QtWidgets>
 
 #include <QDialog>
Index: trunk/BNC/src/bncipport.cpp
===================================================================
--- trunk/BNC/src/bncipport.cpp	(revision 8246)
+++ trunk/BNC/src/bncipport.cpp	(revision 8252)
@@ -40,4 +40,11 @@
 
 #include <iostream>
+
+#include <QLabel>
+#include <QLineEdit>
+#include <QGridLayout>
+#include <QMessageBox>
+#include <QPushButton>
+#include <QVBoxLayout>
 
 #include "bncipport.h"
Index: trunk/BNC/src/bncipport.h
===================================================================
--- trunk/BNC/src/bncipport.h	(revision 8246)
+++ trunk/BNC/src/bncipport.h	(revision 8252)
@@ -27,5 +27,7 @@
 
 #include <QtCore>
-#include <QtWidgets>
+#include <QDialog>
+#include <QLineEdit>
+#include <QPushButton>
 #include <QWhatsThis>
 
Index: trunk/BNC/src/bncmain.cpp
===================================================================
--- trunk/BNC/src/bncmain.cpp	(revision 8246)
+++ trunk/BNC/src/bncmain.cpp	(revision 8252)
@@ -39,9 +39,10 @@
  * -----------------------------------------------------------------------*/
 
+#include <iostream>
 #include <unistd.h>
 #include <signal.h>
+
 #include <QApplication>
 #include <QFile>
-#include <iostream>
 
 #include "app.h"
Index: trunk/BNC/src/bncmap.h
===================================================================
--- trunk/BNC/src/bncmap.h	(revision 8246)
+++ trunk/BNC/src/bncmap.h	(revision 8252)
@@ -26,5 +26,5 @@
 #define BNCMAP_H
 
-#include <QtWidgets>
+#include <QDialog>
 #include <QWhatsThis>
 
Index: trunk/BNC/src/bncmap_svg.cpp
===================================================================
--- trunk/BNC/src/bncmap_svg.cpp	(revision 8246)
+++ trunk/BNC/src/bncmap_svg.cpp	(revision 8252)
@@ -39,7 +39,8 @@
  * -----------------------------------------------------------------------*/
 
-#include <QtSvg>
-#include <QtPrintSupport/QPrinter>
-#include <QtPrintSupport/QPrintDialog>
+#include <QHBoxLayout>
+#include <QPrinter>
+#include <QPrintDialog>
+#include <QPushButton>
 
 #include <qwt_symbol.h>
Index: trunk/BNC/src/bncnetquery.h
===================================================================
--- trunk/BNC/src/bncnetquery.h	(revision 8246)
+++ trunk/BNC/src/bncnetquery.h	(revision 8252)
@@ -2,5 +2,7 @@
 #define BNCNETQUERY_H
 
-#include <QtNetwork>
+#include <QByteArray>
+#include <QUrl>
+
 #include "bncconst.h"
 #include "bnccore.h"
Index: trunk/BNC/src/bncnetqueryrtp.h
===================================================================
--- trunk/BNC/src/bncnetqueryrtp.h	(revision 8246)
+++ trunk/BNC/src/bncnetqueryrtp.h	(revision 8252)
@@ -1,4 +1,6 @@
 #ifndef BNCNETQUERYRTP_H
 #define BNCNETQUERYRTP_H
+
+#include <QUdpSocket>
 
 #include "bncnetquery.h"
Index: trunk/BNC/src/bncnetqueryudp.cpp
===================================================================
--- trunk/BNC/src/bncnetqueryudp.cpp	(revision 8246)
+++ trunk/BNC/src/bncnetqueryudp.cpp	(revision 8252)
@@ -18,4 +18,6 @@
 #include <iomanip>
 #include <time.h>
+
+#include <QHostInfo>
 
 #include "bncnetqueryudp.h"
Index: trunk/BNC/src/bncnetqueryudp.h
===================================================================
--- trunk/BNC/src/bncnetqueryudp.h	(revision 8246)
+++ trunk/BNC/src/bncnetqueryudp.h	(revision 8252)
@@ -1,4 +1,7 @@
 #ifndef BNCNETQUERYUDP_H
 #define BNCNETQUERYUDP_H
+
+#include <QHostAddress>
+#include <QUdpSocket>
 
 #include "bncnetquery.h"
Index: trunk/BNC/src/bncnetqueryudp0.h
===================================================================
--- trunk/BNC/src/bncnetqueryudp0.h	(revision 8246)
+++ trunk/BNC/src/bncnetqueryudp0.h	(revision 8252)
@@ -1,4 +1,6 @@
 #ifndef BNCNETQUERYUDP0_H
 #define BNCNETQUERYUDP0_H
+
+#include <QUdpSocket>
 
 #include "bncnetquery.h"
Index: trunk/BNC/src/bncnetqueryv2.h
===================================================================
--- trunk/BNC/src/bncnetqueryv2.h	(revision 8246)
+++ trunk/BNC/src/bncnetqueryv2.h	(revision 8252)
@@ -1,4 +1,10 @@
 #ifndef BNCNETQUERYV2_H
 #define BNCNETQUERYV2_H
+
+#include <QEventLoop>
+#include <QNetworkAccessManager>
+#include <QNetworkProxy>
+#include <QNetworkReply>
+#include <QSslError>
 
 #include "bncnetquery.h"
Index: trunk/BNC/src/bncserialport.cpp
===================================================================
--- trunk/BNC/src/bncserialport.cpp	(revision 8246)
+++ trunk/BNC/src/bncserialport.cpp	(revision 8252)
@@ -40,4 +40,11 @@
 
 #include <iostream>
+
+#include <QComboBox>
+#include <QHBoxLayout>
+#include <QLabel>
+#include <QLineEdit>
+#include <QMessageBox>
+#include <QPushButton>
 
 #include "bncserialport.h"
Index: trunk/BNC/src/bncserialport.h
===================================================================
--- trunk/BNC/src/bncserialport.h	(revision 8246)
+++ trunk/BNC/src/bncserialport.h	(revision 8252)
@@ -26,6 +26,8 @@
 #define BNCSERIALPORT_H
 
-#include <QtCore>
-#include <QtWidgets>
+#include <QComboBox>
+#include <QDialog>
+#include <QLineEdit>
+#include <QPushButton>
 #include <QWhatsThis>
 
Index: trunk/BNC/src/bncsslconfig.cpp
===================================================================
--- trunk/BNC/src/bncsslconfig.cpp	(revision 8246)
+++ trunk/BNC/src/bncsslconfig.cpp	(revision 8252)
@@ -16,4 +16,8 @@
 
 #include <iostream>
+
+#include <QApplication>
+#include <QDir>
+#include <QStringList>
 
 #include "bncsslconfig.h"
Index: trunk/BNC/src/bncsslconfig.h
===================================================================
--- trunk/BNC/src/bncsslconfig.h	(revision 8246)
+++ trunk/BNC/src/bncsslconfig.h	(revision 8252)
@@ -2,5 +2,5 @@
 #define BNCSSLCONFIG_H
 
-#include <QtNetwork>
+#include <QSslConfiguration>
 
 // Singleton Class
Index: trunk/BNC/src/bnctabledlg.h
===================================================================
--- trunk/BNC/src/bnctabledlg.h	(revision 8246)
+++ trunk/BNC/src/bnctabledlg.h	(revision 8252)
@@ -27,5 +27,4 @@
 
 #include <QtCore>
-#include <QtWidgets>
 #include <QComboBox>
 #include <QDialog>
Index: trunk/BNC/src/bnctableitem.h
===================================================================
--- trunk/BNC/src/bnctableitem.h	(revision 8246)
+++ trunk/BNC/src/bnctableitem.h	(revision 8252)
@@ -26,7 +26,6 @@
 #define BNCTABLEITEM_H
 
-#include <QtCore>
-#include <QtWidgets>
-
+#include <QMutex>
+#include <QObject>
 #include <QTableWidgetItem>
 
Index: trunk/BNC/src/bncudpport.cpp
===================================================================
--- trunk/BNC/src/bncudpport.cpp	(revision 8246)
+++ trunk/BNC/src/bncudpport.cpp	(revision 8252)
@@ -40,4 +40,11 @@
 
 #include <iostream>
+
+#include <QLabel>
+#include <QLineEdit>
+#include <QGridLayout>
+#include <QMessageBox>
+#include <QPushButton>
+#include <QVBoxLayout>
 
 #include "bncudpport.h"
Index: trunk/BNC/src/bncudpport.h
===================================================================
--- trunk/BNC/src/bncudpport.h	(revision 8246)
+++ trunk/BNC/src/bncudpport.h	(revision 8252)
@@ -26,6 +26,7 @@
 #define BNCUDPPORT_H
 
-#include <QtCore>
-#include <QtWidgets>
+#include <QDialog>
+#include <QLineEdit>
+#include <QPushButton>
 #include <QWhatsThis>
 
Index: trunk/BNC/src/bncwindow.cpp
===================================================================
--- trunk/BNC/src/bncwindow.cpp	(revision 8246)
+++ trunk/BNC/src/bncwindow.cpp	(revision 8252)
@@ -44,4 +44,5 @@
 #include <QApplication>
 #include <QCheckBox>
+#include <QCloseEvent>
 #include <QComboBox>
 #include <QDialog>
Index: trunk/BNC/src/bncwindow.h
===================================================================
--- trunk/BNC/src/bncwindow.h	(revision 8246)
+++ trunk/BNC/src/bncwindow.h	(revision 8252)
@@ -26,6 +26,8 @@
 #define BNCWINDOW_H
 
-#include <QtWidgets>
+#include <QDialog>
+#include <QList>
 #include <QMainWindow>
+#include <QTextEdit>
 #include <QWhatsThis>
 
Index: trunk/BNC/src/map/bncmapwin.h
===================================================================
--- trunk/BNC/src/map/bncmapwin.h	(revision 8246)
+++ trunk/BNC/src/map/bncmapwin.h	(revision 8252)
@@ -26,7 +26,8 @@
 #define BNCMAPWIN_H
 
-#include <QtWidgets>
-#include <QtWebKit>
+#include <QByteArray>
+#include <QDialog>
 #include <QNetworkProxy>
+#include <QVector>
 #include "bnctime.h"
 
Index: trunk/BNC/src/pppWidgets.cpp
===================================================================
--- trunk/BNC/src/pppWidgets.cpp	(revision 8246)
+++ trunk/BNC/src/pppWidgets.cpp	(revision 8252)
@@ -40,4 +40,13 @@
 
 #include <iostream>
+
+#include <QCheckBox>
+#include <QComboBox>
+#include <QHeaderView>
+#include <QLineEdit>
+#include <QPushButton>
+#include <QRadioButton>
+#include <QSpinBox>
+#include <QTableWidget>
 
 #include "pppWidgets.h"
@@ -171,5 +180,7 @@
   _staTable->setSelectionMode(QAbstractItemView::ExtendedSelection);
   _staTable->setSelectionBehavior(QAbstractItemView::SelectRows);
+#if QT_VERSION >= 0x050000
   _staTable->horizontalHeader()->setSectionResizeMode(QHeaderView::Interactive);
+#endif
   _staTable->horizontalHeader()->setDefaultAlignment(Qt::AlignLeft);
 
Index: trunk/BNC/src/pppWidgets.h
===================================================================
--- trunk/BNC/src/pppWidgets.h	(revision 8246)
+++ trunk/BNC/src/pppWidgets.h	(revision 8252)
@@ -26,5 +26,12 @@
 #define PPPWIDGETS_H
 
-#include <QtWidgets>
+#include <QCheckBox>
+#include <QComboBox>
+#include <QLineEdit>
+#include <QObject>
+#include <QPushButton>
+#include <QRadioButton>
+#include <QSpinBox>
+#include <QTableWidget>
 
 class qtFileChooser;
Index: trunk/BNC/src/qtfilechooser.cpp
===================================================================
--- trunk/BNC/src/qtfilechooser.cpp	(revision 8246)
+++ trunk/BNC/src/qtfilechooser.cpp	(revision 8252)
@@ -14,4 +14,9 @@
  *
  * -----------------------------------------------------------------------*/
+
+#include <QFileDialog>
+#include <QHBoxLayout>
+#include <QLineEdit>
+#include <QPushButton>
 
 #include "qtfilechooser.h"
Index: trunk/BNC/src/qtfilechooser.h
===================================================================
--- trunk/BNC/src/qtfilechooser.h	(revision 8246)
+++ trunk/BNC/src/qtfilechooser.h	(revision 8252)
@@ -3,5 +3,7 @@
 #define QTFILECHOOSER
 
-#include <QtWidgets>
+#include <QLineEdit>
+#include <QPushButton>
+#include <QWidget>
 
 class qtFileChooser : public QWidget {
Index: trunk/BNC/src/reqcdlg.cpp
===================================================================
--- trunk/BNC/src/reqcdlg.cpp	(revision 8246)
+++ trunk/BNC/src/reqcdlg.cpp	(revision 8252)
@@ -40,4 +40,15 @@
 
 #include <iostream>
+
+#include <QCloseEvent>
+#include <QComboBox>
+#include <QDateTimeEdit>
+#include <QGridLayout>
+#include <QLabel>
+#include <QLineEdit>
+#include <QMessageBox>
+#include <QPushButton>
+#include <QSpinBox>
+#include <QWhatsThis>
 
 #include "reqcdlg.h"
Index: trunk/BNC/src/reqcdlg.h
===================================================================
--- trunk/BNC/src/reqcdlg.h	(revision 8246)
+++ trunk/BNC/src/reqcdlg.h	(revision 8252)
@@ -26,6 +26,9 @@
 #define REQCDLG_H
 
-#include <QtCore>
-#include <QtWidgets>
+#include <QComboBox>
+#include <QDateTimeEdit>
+#include <QDialog>
+#include <QLineEdit>
+#include <QSpinBox>
 
 #include "bncconst.h"
Index: trunk/BNC/src/rinex/graphwin.cpp
===================================================================
--- trunk/BNC/src/rinex/graphwin.cpp	(revision 8246)
+++ trunk/BNC/src/rinex/graphwin.cpp	(revision 8252)
@@ -41,4 +41,10 @@
 #include <qwt_scale_widget.h>
 #include <qwt_scale_engine.h>
+
+#include <QDir>
+#include <QFileInfo>
+#include <QHBoxLayout>
+#include <QVBoxLayout>
+#include <QPushButton>
 
 #include "graphwin.h"
Index: trunk/BNC/src/rinex/graphwin.h
===================================================================
--- trunk/BNC/src/rinex/graphwin.h	(revision 8246)
+++ trunk/BNC/src/rinex/graphwin.h	(revision 8252)
@@ -26,8 +26,8 @@
 #define GRAPHWIN_H
 
-#include <QtCore>
-#include <QtWidgets>
-#include <QtPrintSupport/QPrinter>
-#include <QtPrintSupport/QPrintDialog>
+#include <QByteArray>
+#include <QDialog>
+#include <QPrinter>
+#include <QPrintDialog>
 #include <qwt_color_map.h>
 #include <qwt_plot.h>
Index: trunk/BNC/src/upload/bnccustomtrafo.cpp
===================================================================
--- trunk/BNC/src/upload/bnccustomtrafo.cpp	(revision 8246)
+++ trunk/BNC/src/upload/bnccustomtrafo.cpp	(revision 8252)
@@ -14,4 +14,10 @@
  *
  * -----------------------------------------------------------------------*/
+
+#include <QLabel>
+#include <QLineEdit>
+#include <QMessageBox>
+#include <QPushButton>
+#include <QVBoxLayout>
 
 #include "bnccustomtrafo.h"
Index: trunk/BNC/src/upload/bnccustomtrafo.h
===================================================================
--- trunk/BNC/src/upload/bnccustomtrafo.h	(revision 8246)
+++ trunk/BNC/src/upload/bnccustomtrafo.h	(revision 8252)
@@ -2,6 +2,7 @@
 #define BNCCUSTOMTRAFO_H
 
-#include <QtCore>
-#include <QtWidgets>
+#include <QDialog>
+#include <QLineEdit>
+#include <QPushButton>
 #include <QWhatsThis>
 
Index: trunk/BNC/src/upload/bncuploadcaster.h
===================================================================
--- trunk/BNC/src/upload/bncuploadcaster.h	(revision 8246)
+++ trunk/BNC/src/upload/bncuploadcaster.h	(revision 8252)
@@ -2,5 +2,8 @@
 #define BNCUPLOADCASTER_H
 
-#include <QtNetwork>
+#include <QDateTime>
+#include <QMutex>
+#include <QTcpSocket>
+#include <QThread>
 
 class bncUploadCaster : public QThread {