Index: /branches/BNC_2.12/ChangeLog.txt
===================================================================
--- /branches/BNC_2.12/ChangeLog.txt	(revision 8311)
+++ /branches/BNC_2.12/ChangeLog.txt	(revision 8312)
@@ -7,6 +7,4 @@
     CHANGED (28.09.2017): Transformation of orbit and clock corrections into ETRF2000,
                           NDA83 or DREF91 is done temporarily via ITRF2008
-    FIXED   (22.03.2018): consideration of DF range 0-63 for SSR Satellite IDs as
-                          defined in DF463, DF466. First BDS or SBAS satellite is 0
     FIXED   (05.02.2018): Bug in latency checker
     FIXED   (13.12.2017): Galileo geocentric gravitational constant is corrected
Index: /branches/BNC_2.12/src/RTCM3/RTCM3coDecoder.cpp
===================================================================
--- /branches/BNC_2.12/src/RTCM3/RTCM3coDecoder.cpp	(revision 8311)
+++ /branches/BNC_2.12/src/RTCM3/RTCM3coDecoder.cpp	(revision 8312)
@@ -275,9 +275,5 @@
 
       t_orbCorr orbCorr;
-      int satID = _clkOrb.Sat[ii].ID;
-      if (sysCh == 'C' || sysCh == 'S') {
-        satID++;// DF463 and DF466 with DF range 0-63, first satellite shall be 0
-      }
-      orbCorr._prn.set(sysCh, satID, flag);
+      orbCorr._prn.set(sysCh, _clkOrb.Sat[ii].ID, flag);
       orbCorr._staID     = _staID.toStdString();
       orbCorr._iod       = _clkOrb.Sat[ii].IOD;
@@ -313,9 +309,5 @@
 
       t_clkCorr clkCorr;
-      int satID = _clkOrb.Sat[ii].ID;
-      if (sysCh == 'C' || sysCh == 'S') {
-        satID++;// DF463 and DF466 with DF range 0-63, first satellite shall be 0
-      }
-      clkCorr._prn.set(sysCh, satID, flag);
+      clkCorr._prn.set(sysCh, _clkOrb.Sat[ii].ID, flag);
       clkCorr._staID      = _staID.toStdString();
       clkCorr._time       = _lastTime;
@@ -393,9 +385,5 @@
     }
     t_satCodeBias satCodeBias;
-    int satID = _codeBias.Sat[ii].ID;
-    if (sysCh == 'C' || sysCh == 'S') {
-      satID++;// DF463 and DF466 with DF range 0-63, first satellite shall be 0
-    }
-    satCodeBias._prn.set(sysCh, satID);
+    satCodeBias._prn.set(sysCh, _codeBias.Sat[ii].ID);
     satCodeBias._staID     = _staID.toStdString();
     satCodeBias._time      = _lastTime;
@@ -450,9 +438,5 @@
     }
     t_satPhaseBias satPhaseBias;
-    int satID = _phaseBias.Sat[ii].ID;
-    if (sysCh == 'C' || sysCh == 'S') {
-      satID++;// DF463 and DF466 with DF range 0-63, first satellite shall be 0
-    }
-    satPhaseBias._prn.set(sysCh, satID);
+    satPhaseBias._prn.set(sysCh, _phaseBias.Sat[ii].ID);
     satPhaseBias._staID      = _staID.toStdString();
     satPhaseBias._time       = _lastTime;
@@ -713,5 +697,5 @@
       case CODETYPEGPS_L2_Z:          return "2W";
       //case CODETYPEGPS_L2_Y:          return "2Y";
-      //case CODETYPEGPS_L2_M:          return "2M";      
+      //case CODETYPEGPS_L2_M:          return "2M";
       case CODETYPEGPS_L5_I:          return "5I";
       case CODETYPEGPS_L5_Q:          return "5Q";
@@ -731,5 +715,5 @@
       case CODETYPEGLONASS_L3_I:      return "3I";
       case CODETYPEGLONASS_L3_Q:      return "3Q";
-      case CODETYPEGLONASS_L3_IQ:     return "3X";     
+      case CODETYPEGLONASS_L3_IQ:     return "3X";
       default: return "";
     }
Index: /branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp
===================================================================
--- /branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp	(revision 8311)
+++ /branches/BNC_2.12/src/upload/bncrtnetuploadcaster.cpp	(revision 8312)
@@ -599,8 +599,4 @@
       if (biasSat) {
         biasSat->ID = prn.number();
-        if (prn.system() == 'C' ||
-            prn.system() == 'S') {
-          biasSat->ID--; // DF463 and DF466 with DF range 0-63, first satellite shall be 0
-        }
         biasSat->NumberOfCodeBiases = 0;
         if (prn.system() == 'G') {
@@ -1206,8 +1202,4 @@
         phasebias.MWConsistencyIndicator = mwConsistencyIndicator;
         phasebiasSat->ID = prn.number();
-        if (prn.system() == 'C' ||
-            prn.system() == 'S') {
-          phasebiasSat->ID--; // DF463 and DF466 with DF range 0-63, first satellite shall be 0
-        }        
         phasebiasSat->NumberOfPhaseBiases = 0;
         phasebiasSat->YawAngle = pbSat.yawAngle;
@@ -2336,9 +2328,4 @@
   if (sd) {
     sd->ID = prn.mid(1).toInt();
-    char sys =  prn.mid(0,1).at(0).toLatin1();
-    if ( sys == 'C' || 
-         sys == 'S') {
-      sd->ID--;// DF463 and DF466 with DF range 0-63, first satellite shall be 0
-    }    
     sd->IOD = eph->IOD();
     sd->Clock.DeltaA0 = dClk;